> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pelanor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Invoice Integration



## OpenAPI

````yaml POST /v1/invoices/create
openapi: 3.1.0
info:
  title: public/common/filters.proto
  version: version not set
servers:
  - url: https://api.pelanor.io
  - url: https://api-eu.pelanor.io
    description: Production (EU)
security:
  - ApiToken: []
tags:
  - name: QueryService
  - name: ReportExecutionService
  - name: SchemaService
  - name: CustomMetricsService
  - name: DimensionsService
  - name: IntegrationsService
  - name: UsersService
  - name: WorkspaceService
paths:
  /v1/invoices/create:
    post:
      tags:
        - IntegrationsService
      summary: Create an invoice integration for a specific vendor
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInvoiceRequest'
      responses:
        '200':
          description: Created
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    CreateInvoiceRequest:
      type: object
      properties:
        vendor:
          type: string
        integration_type:
          type: string
          enum:
            - UPLOAD
      required:
        - vendor
        - integration_type
  securitySchemes:
    ApiToken:
      type: http
      scheme: bearer

````